<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    
    <style>
        .fondo{
            width: 100%;
            height: 100vh;
            background: url('https://www.elindependiente.com/wp-content/uploads/2017/07/blockchain-g.gif');
            background-repeat: no-repeat;
            background-size: cover;
        }
        
        
        .acordeon {
            width: 70%;
            margin: auto;
            margin-top: 155px;
            
        }
        
        .acordeon__titulo{
            color: #fff;
            background: #484b77;
            line-height: 2.5;
            padding: 0 1em;
            text-align: center;
            font-size: 1.3em;
            margin: 0;
            border-bottom: 1px solid rgba(255, 255, 255, 0.5);
            box-shadow: 0 -1px 0 0 #000 inset /*sombra por dentro*/;
            cursor: pointer;
            border-radius: 4px;

        }
        
        .acordeon__titulo:hover{
            background: #232983;
        }
        
        .acordeon__titulo::before{
            content:'\f003 ';
            font-family: fontAwesome;
            color:#fff;
            font-size: 18px;
        }
        
        .acordeon__titulo:active:before {
            content:'\f00d ';
        }
        
        
        
        .acordeon__contenido{
            display: none; /*lo oculto para luego aparecer conjs**/
            margin: 0;
            background: rgba(255, 255, 255, 0.5);
            padding: 1em 2em 1.5em;
            border-radius: 4px;
        }
        
     
    </style>
</head>
<body>    
    <div class="container-fluid fondo" >
        <div class="row">
            <div class="acordeon col-md-4">
               <!--BEM  bloque elemento modificador-->
                <div class="acordeon__contenedor">
                    <h2 class="acordeon__titulo"> TITULO 1</h2>
                    <p class="acordeon__contenido">
                        Descripcion 1
                    </p>
                </div>
                
                <div class="acordeon__contenedor">
                    <h2 class="acordeon__titulo"> TITULO 2</h2>
                    <p class="acordeon__contenido">
                        Descripcion 2
                    </p>
                </div>
                
                <div class="acordeon__contenedor">
                    <h2 class="acordeon__titulo"> TITULO 3</h2>
                    <p class="acordeon__contenido">
                        Descripcion 3
                    </p>
                </div>
                
                <div class="acordeon__contenedor">
                    <h2 class="acordeon__titulo"> TITULO 4</h2>
                    <p class="acordeon__contenido">
                        Descripcion 4
                    </p>
                </div>
                
            </div>
        </div>
    </div>
    
    
    
    
     <script src="js/jquery-3.3.1.min.js"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    
    
    <script>        
    /*
        $('h2').on('click', function(){
            $(this).next().slideToggle();
        });
        */
        
        $('.acordeon').on('click','h2',function(){
            var t = $(this); //elemento al cual le estoy haciendo clixk
            var tp = t.next(); //siguiente elemento del h2, en este caso 'p'
            var p = t.parent().siblings().find('p'); //selecciona a todos los elementos p no seleccionados por el click
            
            tp.slideToggle();
            p.slideUp();
            //tp.toggleClass('tgle')
            //p.toggleClass('tgle2')
        });
        
        
    </script>
</body>
</html>